public class Bsphere {
	Point origin;	//center of the object , should match center of the model
	double sqsize;	//squared size of the primary circle , should match model.center.mul(fartest.point)
	//once the first sphere is crossed , we to detect an array of Bsphere
	//first we compare the other_primary_sphere with array of bsphere
	//and those who win will be compared with bsphere_array of the other

	public Bsphere(Point origin, double sqsize) {
		this.origin = origin;
		this.sqsize = sqsize;
	}

	public boolean collide(Bsphere other) {
		return this.origin.dist(other.origin) <= this.sqsize+other.sqsize;
	}

	public Point direction(Bsphere other) {
		return new Point(this.origin).sub(other.origin);
	}
}
